% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/parsnip-seasonal_reg.R
\name{tbats_fit_impl}
\alias{tbats_fit_impl}
\title{Low-Level tbats function for translating modeltime to forecast}
\usage{
tbats_fit_impl(
  x,
  y,
  period_1 = "auto",
  period_2 = NULL,
  period_3 = NULL,
  use.parallel = length(y) > 1000,
  ...
)
}
\arguments{
\item{x}{A dataframe of xreg (exogenous regressors)}

\item{y}{A numeric vector of values to fit}

\item{period_1}{(required) First seasonal frequency. Uses "auto" by default. A character phrase
of "auto" or time-based phrase of "2 weeks" can be used if a date or date-time variable is provided.}

\item{period_2}{(optional) First seasonal frequency. Uses "auto" by default. A character phrase
of "auto" or time-based phrase of "2 weeks" can be used if a date or date-time variable is provided.}

\item{period_3}{(optional) First seasonal frequency. Uses "auto" by default. A character phrase
of "auto" or time-based phrase of "2 weeks" can be used if a date or date-time variable is provided.}

\item{use.parallel}{\code{TRUE/FALSE} indicates whether or not to use parallel processing.}

\item{...}{Additional arguments passed to \code{forecast::tbats()}}
}
\description{
Low-Level tbats function for translating modeltime to forecast
}
